var group__nrf__crypto__ecc =
[
    [ "Definitions specific to secp160r1 (NIST 160-bit)", "group__nrf__crypto__ecc__secp160r1.html", "group__nrf__crypto__ecc__secp160r1" ],
    [ "Definitions specific to secp160r2 (NIST 160-bit)", "group__nrf__crypto__ecc__secp160r2.html", "group__nrf__crypto__ecc__secp160r2" ],
    [ "Definitions specific to secp192r1 (NIST 192-bit)", "group__nrf__crypto__ecc__secp192r1.html", "group__nrf__crypto__ecc__secp192r1" ],
    [ "Definitions specific to secp224r1 (NIST 224-bit)", "group__nrf__crypto__ecc__secp224r1.html", "group__nrf__crypto__ecc__secp224r1" ],
    [ "Definitions specific to secp256r1 (NIST 256-bit)", "group__nrf__crypto__ecc__secp256r1.html", "group__nrf__crypto__ecc__secp256r1" ],
    [ "Definitions specific to secp384r1 (NIST 384-bit)", "group__nrf__crypto__ecc__secp384r1.html", "group__nrf__crypto__ecc__secp384r1" ],
    [ "Definitions specific to secp521r1 (NIST 521-bit)", "group__nrf__crypto__ecc__secp521r1.html", "group__nrf__crypto__ecc__secp521r1" ],
    [ "Definitions specific to secp160k1 (Koblitz 160-bit)", "group__nrf__crypto__ecc__secp160k1.html", "group__nrf__crypto__ecc__secp160k1" ],
    [ "Definitions specific to secp192k1 (Koblitz 192-bit)", "group__nrf__crypto__ecc__secp192k1.html", "group__nrf__crypto__ecc__secp192k1" ],
    [ "Definitions specific to secp224k1 (Koblitz 224-bit)", "group__nrf__crypto__ecc__secp224k1.html", "group__nrf__crypto__ecc__secp224k1" ],
    [ "Definitions specific to secp256k1 (Koblitz 256-bit)", "group__nrf__crypto__ecc__secp256k1.html", "group__nrf__crypto__ecc__secp256k1" ],
    [ "Definitions specific to bp256r1 (Brainpool 256-bit)", "group__nrf__crypto__ecc__bp256r1.html", "group__nrf__crypto__ecc__bp256r1" ],
    [ "Definitions specific to bp384r1 (Brainpool 384-bit)", "group__nrf__crypto__ecc__bp384r1.html", "group__nrf__crypto__ecc__bp384r1" ],
    [ "Definitions specific to bp512r1 (Brainpool 512-bit)", "group__nrf__crypto__ecc__bp512r1.html", "group__nrf__crypto__ecc__bp512r1" ],
    [ "Definitions specific to Curve25519", "group__nrf__crypto__ecc__curve25519.html", "group__nrf__crypto__ecc__curve25519" ],
    [ "Definitions specific to Ed25519", "group__nrf__crypto__ecc__ed25519.html", "group__nrf__crypto__ecc__ed25519" ],
    [ "nrf_crypto_ecc_curve_info_s", "structnrf__crypto__ecc__curve__info__s.html", [
      [ "curve_type", "structnrf__crypto__ecc__curve__info__s.html#a906f102156198aec935949702b54f129", null ],
      [ "p_backend_data", "structnrf__crypto__ecc__curve__info__s.html#a0cd15cecc13fadc37f161ee8a0b11499", null ],
      [ "private_key_size", "structnrf__crypto__ecc__curve__info__s.html#af72df9e13bb495c467b4075fa572804a", null ],
      [ "public_key_size", "structnrf__crypto__ecc__curve__info__s.html#a4c4706dccb2fa773375e45211c4174af", null ],
      [ "raw_private_key_size", "structnrf__crypto__ecc__curve__info__s.html#a8a8c120e7bc3c9268b890c76df19bf56", null ],
      [ "raw_public_key_size", "structnrf__crypto__ecc__curve__info__s.html#a157699e45dbc7b5ec4b687ae92ad9438", null ]
    ] ],
    [ "nrf_crypto_ecc_key_pair_generate_context_t", "unionnrf__crypto__ecc__key__pair__generate__context__t.html", [
      [ "context_bp256r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#abddcc6844b96722daea784f988894586", null ],
      [ "context_bp384r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#aec33d36d53a5aca5b6f73ab281ad43e4", null ],
      [ "context_bp512r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a57c803ed8d94e75805a6cda92d374073", null ],
      [ "context_curve25519", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a2696d226087a9b9069705f7edd414be7", null ],
      [ "context_ed25519", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a0a50abc5337484f9c2c64f6fac8803aa", null ],
      [ "context_secp160k1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a6d315a5da42a3435ae6d731f2c8ca44f", null ],
      [ "context_secp160r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#ab2b19baee24e4e54a105934f0407e44a", null ],
      [ "context_secp160r2", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#ac7ecdf8e134d356767f4359509c4f70f", null ],
      [ "context_secp192k1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a167fb1ccd7d729f17f88d6e39ec74394", null ],
      [ "context_secp192r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a1586f110bbffe5b8ff34f212e2487c38", null ],
      [ "context_secp224k1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a063b2fee04986c18c6dbeaee1ecd9154", null ],
      [ "context_secp224r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a04c84f1ee71dc3b676a73bfbd8058402", null ],
      [ "context_secp256k1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#ab2c9473bc01fcf22a90988cb58efad37", null ],
      [ "context_secp256r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#af5e5854a70a926282462b620a7a91f9b", null ],
      [ "context_secp384r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a43e085b1ebacc9e21b5b41730994182a", null ],
      [ "context_secp521r1", "unionnrf__crypto__ecc__key__pair__generate__context__t.html#a058820e4cad582fd138d6c0f3cbd2629", null ]
    ] ],
    [ "nrf_crypto_ecc_public_key_calculate_context_t", "unionnrf__crypto__ecc__public__key__calculate__context__t.html", [
      [ "context_bp256r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#aff24d83587801c54f9a92430e6b014cb", null ],
      [ "context_bp384r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a8cb1d666dc37262eae15fcdc198c8d8e", null ],
      [ "context_bp512r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a0d19fbd91f342b432831ebd2b777b9f6", null ],
      [ "context_curve25519", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#ad396f2f5ee60cd623f4661a990fad5a9", null ],
      [ "context_ed25519", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a71496fc4a450df26f262299969098b98", null ],
      [ "context_secp160k1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#ae84d521feefb5d1b426ce1dfd7e62cb8", null ],
      [ "context_secp160r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#afecc538895143d42863f0aa70f6832ef", null ],
      [ "context_secp160r2", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a4df8e739eb13d04816078f936bd25e99", null ],
      [ "context_secp192k1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#aae3b72c677377a766f3b7489c08aa8e5", null ],
      [ "context_secp192r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a1c24fcf54a06b05789967111d12daf43", null ],
      [ "context_secp224k1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a4f453c66c82f345e117e85c025e3253f", null ],
      [ "context_secp224r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#ad492bca466f45de23a458e04e27b8a0a", null ],
      [ "context_secp256k1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#ac33de4205bbd5a7673323e20bb4ad48f", null ],
      [ "context_secp256r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#aef10a9f8c0dcf07a7f55cdc8c22eb722", null ],
      [ "context_secp384r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#add81755379d478ee3f83f3a6c25658e4", null ],
      [ "context_secp521r1", "unionnrf__crypto__ecc__public__key__calculate__context__t.html#a0ed7a94102fc1c3b03b3967b3be036fe", null ]
    ] ],
    [ "nrf_crypto_ecc_private_key_t", "unionnrf__crypto__ecc__private__key__t.html", [
      [ "key_bp256r1", "unionnrf__crypto__ecc__private__key__t.html#a6293fc9a33db8ab31dd18ceda7ad186f", null ],
      [ "key_bp384r1", "unionnrf__crypto__ecc__private__key__t.html#a7bf965fef26c27720c7439fd830e1240", null ],
      [ "key_bp512r1", "unionnrf__crypto__ecc__private__key__t.html#aedde4b67d1c72562541375defe72ac61", null ],
      [ "key_curve25519", "unionnrf__crypto__ecc__private__key__t.html#a65824a4cb37cf11307a095bd13dfd57b", null ],
      [ "key_ed25519", "unionnrf__crypto__ecc__private__key__t.html#aa0faa6e930584f73400ae84588b659ae", null ],
      [ "key_secp160k1", "unionnrf__crypto__ecc__private__key__t.html#a82ba97b3930a5c0a3e8c4c0f2ff51159", null ],
      [ "key_secp160r1", "unionnrf__crypto__ecc__private__key__t.html#ae1206187a2a4e54335f654bd512ce938", null ],
      [ "key_secp160r2", "unionnrf__crypto__ecc__private__key__t.html#a13c87bc4ae8032160240c94e5c1271d6", null ],
      [ "key_secp192k1", "unionnrf__crypto__ecc__private__key__t.html#a91f3cce1e33f8abd95f96c834f846681", null ],
      [ "key_secp192r1", "unionnrf__crypto__ecc__private__key__t.html#a4311f84db007a31f77b94d608dca081a", null ],
      [ "key_secp224k1", "unionnrf__crypto__ecc__private__key__t.html#a9161742b07dd160c3b234ea2bc867d1d", null ],
      [ "key_secp224r1", "unionnrf__crypto__ecc__private__key__t.html#af6aee18345b3ef95fbfe50dcabd27590", null ],
      [ "key_secp256k1", "unionnrf__crypto__ecc__private__key__t.html#acc819f00e3124715ba626ba25f2dff70", null ],
      [ "key_secp256r1", "unionnrf__crypto__ecc__private__key__t.html#a3f6059c690aa435285f9f5927470454a", null ],
      [ "key_secp384r1", "unionnrf__crypto__ecc__private__key__t.html#a2447f27f0d4e433fe1d05eb2f76e9810", null ],
      [ "key_secp521r1", "unionnrf__crypto__ecc__private__key__t.html#ae870811f3a653e909d001f6bd7280fbd", null ]
    ] ],
    [ "nrf_crypto_ecc_public_key_t", "unionnrf__crypto__ecc__public__key__t.html", [
      [ "key_bp256r1", "unionnrf__crypto__ecc__public__key__t.html#aa44817ad9b07c8704cc1c10d5a43d28f", null ],
      [ "key_bp384r1", "unionnrf__crypto__ecc__public__key__t.html#a31ea1662dc12e1ad7b318b5481ecb43d", null ],
      [ "key_bp512r1", "unionnrf__crypto__ecc__public__key__t.html#ade92389f86e83b9ebb95a419a8b73fa3", null ],
      [ "key_curve25519", "unionnrf__crypto__ecc__public__key__t.html#a6ec301287a81cdb5294324d9e5a55563", null ],
      [ "key_ed25519", "unionnrf__crypto__ecc__public__key__t.html#aadba8393aa31f1594f0be69931e9affe", null ],
      [ "key_secp160k1", "unionnrf__crypto__ecc__public__key__t.html#a8b9a53123d10d04b5178e712c2f9b3fb", null ],
      [ "key_secp160r1", "unionnrf__crypto__ecc__public__key__t.html#a93a76965075c853204ab407dfe30008c", null ],
      [ "key_secp160r2", "unionnrf__crypto__ecc__public__key__t.html#acae82fe5b669bc55825bbcf1dc714ff2", null ],
      [ "key_secp192k1", "unionnrf__crypto__ecc__public__key__t.html#a58f1f8bf578998b27a446cfe9f6ecd38", null ],
      [ "key_secp192r1", "unionnrf__crypto__ecc__public__key__t.html#ad610cf7293deaeafd5530dacce72dc88", null ],
      [ "key_secp224k1", "unionnrf__crypto__ecc__public__key__t.html#ac485e58836da82dddaac4f6ead5e61ac", null ],
      [ "key_secp224r1", "unionnrf__crypto__ecc__public__key__t.html#a615dc1d9ecc2c035ab68417d36c53a59", null ],
      [ "key_secp256k1", "unionnrf__crypto__ecc__public__key__t.html#a7ce584c8e5dfbb746c922ea8aaa889d3", null ],
      [ "key_secp256r1", "unionnrf__crypto__ecc__public__key__t.html#ab25cf7d5a9a3940648021ea72d91e4de", null ],
      [ "key_secp384r1", "unionnrf__crypto__ecc__public__key__t.html#a6ca4a478234824d76ee49ca6c3171fb0", null ],
      [ "key_secp521r1", "unionnrf__crypto__ecc__public__key__t.html#ae96146f18902122a693f68481a39ef08", null ]
    ] ],
    [ "NRF_CRYPTO_ECC_RAW_PRIVATE_KEY_MAX_SIZE", "group__nrf__crypto__ecc.html#ga6cb8d8df8f715786b43dad0f042cebce", null ],
    [ "NRF_CRYPTO_ECC_RAW_PUBLIC_KEY_MAX_SIZE", "group__nrf__crypto__ecc.html#gaf2c3ff06752d7346b768aa1515156254", null ],
    [ "nrf_crypto_ecc_curve_info_t", "group__nrf__crypto__ecc.html#ga055d695ace6d387a7c81420c281b87a0", null ],
    [ "nrf_crypto_ecc_raw_private_key_t", "group__nrf__crypto__ecc.html#gaa1b4b4c88b8e799ac078178201110f55", null ],
    [ "nrf_crypto_ecc_raw_public_key_t", "group__nrf__crypto__ecc.html#ga78e9980e9672ac93d87437b350554f18", null ],
    [ "nrf_crypto_ecc_curve_type_t", "group__nrf__crypto__ecc.html#gaefd14927610d570d6968ba6d4e1e38a0", [
      [ "NRF_CRYPTO_ECC_SECP160R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a35d80307a6c76de4aecb74d07ff08524", null ],
      [ "NRF_CRYPTO_ECC_SECP160R2_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a294dd7db51744a582ebff9c02d326ae1", null ],
      [ "NRF_CRYPTO_ECC_SECP192R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a62af2f765311919ba2b1ebde5d6c462e", null ],
      [ "NRF_CRYPTO_ECC_SECP224R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0aff6e4cc2580ee241f4d87e2522fb07c3", null ],
      [ "NRF_CRYPTO_ECC_SECP256R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0ae6569d77023595fc4bc09dc8b9afb2ba", null ],
      [ "NRF_CRYPTO_ECC_SECP384R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a41eca9c6bb163921cb9b76030f991c50", null ],
      [ "NRF_CRYPTO_ECC_SECP521R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0ace3e22963896f54e80da6199d51781bc", null ],
      [ "NRF_CRYPTO_ECC_SECP160K1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0af611c35ad66968a1f13dd7d3f7d02c34", null ],
      [ "NRF_CRYPTO_ECC_SECP192K1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0aca30fc29388e7efe6b24e1c789cee144", null ],
      [ "NRF_CRYPTO_ECC_SECP224K1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a03eabd0e8c3de67b4de73d9a35ebfb04", null ],
      [ "NRF_CRYPTO_ECC_SECP256K1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a69dc2b62ca9ea26bc861e3df25c0d580", null ],
      [ "NRF_CRYPTO_ECC_BP256R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a86f7d1e3e93b12f65e712be60e7fa872", null ],
      [ "NRF_CRYPTO_ECC_BP384R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a945e7a51b8a1f5c79cc91b8aba13dfa5", null ],
      [ "NRF_CRYPTO_ECC_BP512R1_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a9c467960142ba7cfcba21f1bcccb1665", null ],
      [ "NRF_CRYPTO_ECC_CURVE25519_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0a6f2f5b99734221e6d59995419dd6fca9", null ],
      [ "NRF_CRYPTO_ECC_ED25519_CURVE_TYPE", "group__nrf__crypto__ecc.html#ggaefd14927610d570d6968ba6d4e1e38a0af547267cc825787917936e7b0e74a888", null ]
    ] ],
    [ "nrf_crypto_ecc_byte_order_invert", "group__nrf__crypto__ecc.html#gabedfa4cd51adab448cd4c90953082429", null ],
    [ "nrf_crypto_ecc_curve_info_get", "group__nrf__crypto__ecc.html#ga83163ab539f96c64df97936a5624320b", null ],
    [ "nrf_crypto_ecc_key_pair_generate", "group__nrf__crypto__ecc.html#ga3f81d85351bf50c8dcd07a87cb7c6e26", null ],
    [ "nrf_crypto_ecc_private_key_free", "group__nrf__crypto__ecc.html#ga5351846dbcd164501cbf375f47467219", null ],
    [ "nrf_crypto_ecc_private_key_from_raw", "group__nrf__crypto__ecc.html#ga34b69768c42de20110281a589e05b6e6", null ],
    [ "nrf_crypto_ecc_private_key_to_raw", "group__nrf__crypto__ecc.html#ga1f9223903857bfd9d2a292f2c56bde7e", null ],
    [ "nrf_crypto_ecc_public_key_calculate", "group__nrf__crypto__ecc.html#ga14a07dc7bb466e35d1f3726c759acbcf", null ],
    [ "nrf_crypto_ecc_public_key_free", "group__nrf__crypto__ecc.html#gaf2e736c810d2a71dfc9f4df3cc1a6d62", null ],
    [ "nrf_crypto_ecc_public_key_from_raw", "group__nrf__crypto__ecc.html#ga07bad097cd705b52d6e9d29c63146459", null ],
    [ "nrf_crypto_ecc_public_key_to_raw", "group__nrf__crypto__ecc.html#gafdfc93d7e5d4c03a4412228428761af7", null ]
];